# ManageEngine ServiceDesk Plus

## Connection Requirements

{% stepper %}
{% step %}

### IP or Domain

Connection address depending on your SDP instance (if you're using cloud it may look like this: sdp.managenegine.com). Please ensure your address.
{% endstep %}

{% step %}

### Port

Port number (optional, default: 443).
{% endstep %}

{% step %}

### Client ID (If you're using cloud)

* In the Admin Console, locate the OAuth Configuration section
* Click on Add Client to register your application.
* Fill out the required details and configure scopes and secure your credentials.

{% hint style="info" %}
If you don’t have a domain name and a redirect URL, you can use dummy values in their place and register your client.
{% endhint %}

{% hint style="info" %}
SDPOnDemand.assets.READ scope should suffice.
{% endhint %}
{% endstep %}

{% step %}

### Client Secret

Obtained in the Client ID registration step.
{% endstep %}

{% step %}

### Refresh Token

To use OAuth authentication we need a refresh token to authorize properly. In order to generate a refresh token:

* Go to the Zoho API Console: <https://api-console.zoho.com/> .
* Click 'Add client', choose 'Self Client' and click 'Create'.
* In the tab 'Generate Code', give SDPOnDemand.assets.READ scope.
* Save your Generated Code, Client Secret, Client ID, Client Secret.
* Enter the values you’ve copied into the following command (replace placeholders accordingly) and run it:

{% code title="Generate refresh token" %}

```
curl -X POST "https://accounts.zoho.com/oauth/v2/token?grant_type=authorization_code&code=&client_id=<client_id>&client_secret=<client_secret>"
```

{% endcode %}

`From the response copy "refresh_token".`
{% endstep %}

{% step %}
`SSLUse SSL for connection (optional, default: True).Redirect URIThis parameter should be the same redirect URL mentioned while adding the Client.Portal NameIf you have multiple portals in your organization, provide the portal name.Is On Prem?Specify if the SDP instance is on-prem or not. (default: False)Zoho accounts urlYour domain-specific accounts URL.Auth Token (Use only if on-prem)Your token retrieved from your profile.`
{% endstep %}
{% endstepper %}

`Please perform a connection test to ensure there is a valid connection to the host.`\
`When the discovery operation is finalized, you will be able to see the details on the Assets page.`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octoxlabs.com/adapters/adapters/manageengine-servicedesk-plus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
